> For the complete documentation index, see [llms.txt](https://docs.intrepidcs.com/vspy-3-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intrepidcs.com/vspy-3-documentation/vehicle-spy-main-menus/main-menu-spy-networks/diagnostics/diagnostics-setup.md).

# Diagnostics Setup

The Setup Diagnostics screen (Figure 1) is where diagnostic jobs are built and edited. This screen is found by selecting **Spy Networks > Diagnostics** and selecting the **Setup** tab.\
\
The **+ and - buttons** (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smOne.gif)) allow a user to add and delete services in a Vehicle Spy setup. Once the **+ button** is clicked, choose which type of diagnostics to perform, then select the job to setup from the list that appears. Once a service is selected, its name shows up in the job list (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTwo.gif)). The name of the service, or job, can be changed by typing directly in the **Job Description** box (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smThree.gif)). Renaming is very useful for keeping jobs organized. A diagnostic job can be deleted by selecting it from the job list (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTwo.gif)) and then clicking the **- button**.

![Figure 1: Setup Diagnostics is where diagnostic jobs are built and edited.](https://3170208387-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FL6lcovCpkhoS9uTOFtEp%2Fuploads%2FaayeqmLx4nlmYxgGIrAi%2Fspydiagnosticseditor.gif?alt=media\&token=c2a30870-86b4-4412-80b4-83f9a5d57b51)

Jobs are configured on the right side of the window. There are three main sections for setting up a service. The top portion gives options for addressing (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFour.gif)). The middle portion contains settings for the parameters of the service (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smFive.gif)). This is where things such as sub functions and data identifiers are specified. The bottom portion gives options for the formatting of the request message to send (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smSix.gif)). This section is where padding and wakeups can be configured. The message that is created can be seen in the CAN Frame(s) box (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smSeven.gif)) at the bottom of the editor.\
\
Launching the service can be done in a few different ways. The first is to use the transmit panel. Before this can be done, the build request message needs to be transferred to the transmit table. This can be done by clicking the **Copy to Transmit Table** button (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smEight.gif)). Another method is by assigning a **hotkey** (Figure1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smTen.gif)). An easier approach to sending the request is to click the **Launch** button (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smNine.gif)). This will switch the screen to the Results tab and launch the service in one click. When the response is returned, it will be decoded according to the diagnostic database that is currently configured.\
**Tree** and **List** (Figure 1:![](https://cdn.intrepidcs.net/support/VehicleSpy/assets/smEleven.gif)), give two different ways to sort diagnostic jobs. List shows all the diagnostic jobs in a list, while Tree groups ECUs and jobs.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.intrepidcs.com/vspy-3-documentation/vehicle-spy-main-menus/main-menu-spy-networks/diagnostics/diagnostics-setup.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
